DynamicJava Javadoc: Class BreakStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class BreakStatement

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Statement
                  |
                  +--koala.dynamicjava.tree.BreakStatement

public class BreakStatement
extends Statement

This class represents the break statement nodes of the syntax tree

Field Summary
`static java.lang.String` | `LABEL` The label property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`BreakStatement(java.lang.String label)` Creates a new while statement
`BreakStatement(java.lang.String label, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new while statement

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.lang.String` | `getLabel()` Gets the label
`void` | `setLabel(java.lang.String s)` Sets the label

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LABEL

    public static final java.lang.String LABEL

  The label property name

Constructor Detail

### BreakStatement

    public BreakStatement(java.lang.String label)

  Creates a new while statement
  Parameters:
    `label` - the label
  Throws:
    `java.lang.IllegalArgumentException` - if label is null

### BreakStatement

    public BreakStatement(java.lang.String label,
                          java.lang.String fn,
                          int bl,
                          int bc,
                          int el,
                          int ec)

  Creates a new while statement
  Parameters:
    `label` - the label
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

Method Detail

### getLabel

    public java.lang.String getLabel()

  Gets the label

### setLabel

    public void setLabel(java.lang.String s)

  Sets the label

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.